/* WebLOAD Open Source is an automated quality assurance testing tool for internet applications.
 * Copyright (C) 1996 Radview Software, Ltd.
 *
 * This program is free software; you can redistribute it and/or modify it 
 * only under the terms of Version 2 of the GNU General Public License as 
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful, but 
 * WITHOUT ANY WARRANTY; Without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License 
 * for more details.
 * 
 * You should have received a copy of the GNU General Public License along 
 * with this program; If not, you can download it from 
 * http://www.gnu.org/licenses/
 *
 */
  
package com.radview.util.rvexception;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) 2001
 * Company:      Radview
 * @author
 * @version 1.0
 */

public class RVRunTimeException extends RVThrowable
{
  public RVRunTimeException()
	{
		super();
  }

  public RVRunTimeException(int severity)
	{
		super(severity);
  }

  public RVRunTimeException(String message)
	{
		super(message);
  }

  public RVRunTimeException(String message, int severity)
	{
		super(message, severity);
  }

  public RVRunTimeException(int severity, Exception e)
	{
		super(severity, e);
  }

  public RVRunTimeException(int severity, RVRunTimeException e)
	{
		super(severity, e);
  }

  public RVRunTimeException(String message, int severity, Exception e)
	{
		super(message, severity, e);
  }

  public RVRunTimeException(String message, int severity, RVRunTimeException e)
	{
		super(message, severity, e);
  }

	public void setBaseException(RVThrowable e)
	{
		super.setBaseThrowable(e);
	}

	//public RVThrowable getBaseException()
	//{
	//	return super.getBaseThrowable();
	//}

	public void setBaseException(Throwable e)
	{
		super.setBaseThrowable(e);
	}

	public Throwable getBaseException()
	{
		return super.getBaseThrowable();
	}

}
