/* WebLOAD Open Source is an automated quality assurance testing tool for internet applications.
 * Copyright (C) 1996 Radview Software, Ltd.
 *
 * This program is free software; you can redistribute it and/or modify it 
 * only under the terms of Version 2 of the GNU General Public License as 
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful, but 
 * WITHOUT ANY WARRANTY; Without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License 
 * for more details.
 * 
 * You should have received a copy of the GNU General Public License along 
 * with this program; If not, you can download it from 
 * http://www.gnu.org/licenses/
 *
 */
  
#ifndef __WL_PARSEFLAGS__
#define __WL_PARSEFLAGS__



class CWLUserParseFlags{
public:
	enum ParseOptions {
		DontParse=0,
		ParseOnce=1,
		ParseAlways=2            
	};

	ParseOptions m_Parse;
	bool m_ParseContents;
	bool m_ParseLinks;
	bool m_ParseForms;
	bool m_SaveSource;
	bool m_ParseTables;
	bool m_ParseScripts;
	bool m_ParseXml;
	bool m_VerifyXml;
	bool m_XmlStandAlone;
	bool m_ParseImages;
	bool m_ParseEmbeds;
	bool m_ParseApplets;
	bool m_ParseCss;
	bool m_ParseMetas;
	bool m_ParseOthers;
	bool m_ParseInnerHTML;
        bool m_ConvertToUTF8;

public:
	CWLUserParseFlags& operator=(CWLUserParseFlags& aCWLUserParseFlags);
};

#endif
