/* WebLOAD Open Source is an automated quality assurance testing tool for internet applications.
 * Copyright (C) 1996 Radview Software, Ltd.
 *
 * This program is free software; you can redistribute it and/or modify it 
 * only under the terms of Version 2 of the GNU General Public License as 
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful, but 
 * WITHOUT ANY WARRANTY; Without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License 
 * for more details.
 * 
 * You should have received a copy of the GNU General Public License along 
 * with this program; If not, you can download it from 
 * http://www.gnu.org/licenses/
 *
 */
  
#ifndef __WL_SRC__
#define __WL_SRC__

/*
#include <RVCString.h>
#include <regexp.h>
#include <collstr.h>
#include <slistcol.h>

*/
#include <ordered.h>
#include "wlurlbase.h"
#include "platform.h"
#include "wlhtmlfuncs.h"
#include "wlobjectcollection.h"

class RVCString;
class urlBase ;
class CWLEmbed;
class CWLDocument;

class DllExport parseSrc : public CWLObjectCollection
{
private:
	CWLDocument *m_DocPtr;

    virtual RVCollectable *comparedObject(int index) {return (RVCollectable *)at(index);}

public:
    parseSrc(CWLDocument *docPtr) : m_DocPtr(docPtr) {}
    virtual ~parseSrc() { clearAndDestroy(); }
	parseSrc& operator=(const parseSrc& );
	elementReadState parse(RVCString& buff, urlBase* urlBasePtr, const char* tagName);
	CWLEmbed* Src(const char* srcName);
	const char*	 Id();
  void			printAll();
};

#endif

