// Scan the link given in order to find if url's contain session id.
function ScanLinkForBVSessionId (Link) {

	// We init the BVLink with the link given,
	// if link href contain Session id then it will be
	// set by this operation
	var BVLink = new BVLinkObj(Link.href)
	
	for (var l=0; (l<Link.wlSearchPairs.length);l++) {
		if (Link.wlSearchPairs[l].key == K_BV_SessionID_NAME) {
			BVLink.Set_BV_SessionID (Link.wlSearchPairs[l].value)
		}
		if (Link.wlSearchPairs[l].key == K_BV_EngineID_NAME) {
			BVLink.Set_BV_EngineID (Link.wlSearchPairs[l].value)
		}
	}

	return BVLink

}

// Scan the form given in order to find if it contain session id 
// in one of it's fields
function ScanFormForBVSessionId (Form) {

	var BVLink = new BVLinkObj()
	
	// Scan all document forms elements for spider session id's
	for (var j=0; (j<Form.elements.length);j++) {
		if (Form.elements[j].name == K_BV_SessionID_NAME) {
			if (!BVLink.ContainSessionId()) {
				BVLink.Set (Form.action)
			}
			BVLink.Set_BV_SessionID(Form.elements[j].value)
		}
		if (Form.elements[j].name == K_BV_EngineID_NAME) {
			if (!BVLink.ContainSessionId()) {
				BVLink.Set (Form.action)
			}
			BVLink.Set_BV_EngineID(Form.elements[j].value)
		}
	}

	return BVLink
}

// This function scan all the frames tree for forms which contain session id
function ScanFramesForBVSessionId (FrameArray){

	var BVLinkArr = new Array() 

	function InternalScanFramesForBVSessionId (FrameArray) {
	
		if (FrameArray == undefined) return

		for (var i=0; i<FrameArray.length; i++ ) {
			if (FrameArray[i].document.forms != undefined) {
				for (var j=0; j<FrameArray[i].document.forms.length; j++) {
					BVLink = ScanFormForBVSessionId (FrameArray[i].document.forms[j])
					if (BVLink.ContainSessionId()) {
						BVLinkArr[BVLinkArr.length]=BVLink
					}
				}
			}
			if (FrameArray[i].document.links != undefined) {
				for (var k=0; k<FrameArray[i].document.links.length; k++) {
					BVLink = ScanLinkForBVSessionId (FrameArray[i].document.links[k])
					if (BVLink.ContainSessionId()) {
						BVLinkArr[BVLinkArr.length]=BVLink
					}
				}
			}
			InternalScanFramesForBVSessionId (FrameArray[i].document.frames)
		}

	}

	InternalScanFramesForBVSessionId (FrameArray)

	return BVLinkArr
}