// This function target is to be replaced with each wlHttp.Get
// command which uses Spider Session id
function NDGet (httpCommand) {
	var Command = SetNDSessionId (httpCommand) 
	wlHttp.Parse = "Always"
	wlHttp.Get (Command)
	ScanForNDSessionId (document)
}

// This function target is to be replaced with each wlHttp.Post
// command which uses Spider Session id
function NDPost (httpCommand) {
	var Command = SetNDSessionId (httpCommand) 
	wlHttp.Parse = "Always"
	wlHttp.Post (Command)
	ScanForNDSessionId (document)
}

// Init the Net Dynamics automtic session id's mechanizem
function InitNDSessions () {

	NDSessionIdArr  = new Array()
	NDUniqueValueArr= new Array()
	NDSessionUrlArr = new Array()

	wlHttp.NDGet = NDGet
	wlHttp.NDPost = NDPost
}

// Add new session id for a specific url
function AddNDSessionId (NDLink) {
	var pos   = 0
	var found = false

	while ((pos < NDSessionUrlArr.length) && (!found)) {
		if (NDSessionUrlArr [pos] == NDLink.GetHrefOnly()) {
			found=true
		}
		else {
			pos++
		}
	}
	NDSessionIdArr   [pos] = NDLink.GetSessionId()
	NDUniqueValueArr [pos] = NDLink.GetUniqueValue()
	NDSessionUrlArr  [pos] = NDLink.GetHrefOnly()
}

// Search if for a specific url exist session id in array
// and if found return it's value else return NULL session id
function FindNDSessionId (href) {

	var NDLink = new NDLinkObj(href)
	var Pos   = -1

	for (var i=0;((i < NDSessionIdArr.length) && (Pos == -1));i++) {
		if (NDSessionUrlArr[i] == NDLink.GetHrefOnly()) {Pos = i}
	}
	if (Pos != -1) { 
		return new SessionData(NDSessionIdArr [Pos], NDUniqueValueArr[Pos]) 
	}
	else { 
		return new SessionData(ND_NULL_SESSION_ID,ND_NULL_UNIQUEVALUE_NAME)   
	}
}

// Check if the specified href is mentioned in the 
// Net Dynamics session id's pool and add the approprate
// session id to the http command
function SetNDSessionId (href) {
	
	var httpCommand = href
	var NDSessionId = FindNDSessionId (href)
	var NDLink      = new NDLinkObj(href)

	if (NDSessionId.SpiderSession != ND_NULL_SESSION_ID) {
		wlHttp.FormData[K_SPIDERSESSION_NAME] = NDSessionId.SpiderSession
	}
	if (NDSessionId.UniqueValue != ND_NULL_UNIQUEVALUE_NAME) {
		wlHttp.FormData[K_UNIQUEVALUE_NAME] = NDSessionId.UniqueValue
	}
	if (NDLink.ContainSessionId()) {
		NDLink.SetSessionId(NDSessionId.SpiderSession)
		NDLink.SetUniqueValue(NDSessionId.UniqueValue)
		httpCommand = NDLink.HrefFull
	}
	
	return httpCommand
}

// Scan the document in order to find url's which 
// point to with session id.
// The function scan's links and forms to find those
// session id's. Each url which is using a session id's
// will be added to the session id's pool
function ScanForNDSessionId (scanedDocument) {

	var NDLinkArr = ScanDomForNDSessionId (scanedDocument)
	for (var i=0;i<NDLinkArr.length;i++) {
		AddNDSessionId (NDLinkArr[i])
	}
	
}
