//This function add headers if UserAgent should be defined
InfoMessage ("WAP Support.")

function AddCommonHeaders() {
   wlHttp.Header.wlClear("user-agent")
   wlHttp.Header["x-up-subno"] = "mdunlap_mdunlap"
   wlHttp.Header["x-upfax-accepts"] = "none"
   wlHttp.Header["x-up-devcap-screendepth"] = "1"
   wlHttp.Header["accept-charset"] = "ISO-8859-1"
   wlHttp.Header["x-up-devcap-smartdialing"] = "1"
   wlHttp.Header["x-up-devcap-iscolor"] = "0"
   wlHttp.Header["x-up-uplink"] = "none"
   wlHttp.Header["x-up-devcap-immed-alert"] = "1"
   wlHttp.Header["accept-language"] = "en"
   wlHttp.Header["accept"] = "application/x-hdmlc, application/x-up-alert, application/x-up-cacheop, application/x-up-device, application/x-up-digestentry, text/x-hdml;version=3.1, text/x-hdml;version=3.0, text/x-hdml;version=2.0, text/x-wap.wml, text/vnd.wap.wml, */*, image/bmp, text/html"
}

//This function add headers according to UserAgent

function WapAddHeaders() {

			switch (wlGlobals.UserAgent) {
				case "Alcatel OneTouch": 
				  wlHttp.UserAgent = "UP.Browser/3.1-ALAV UP.Link/3.2"
          wlHttp.Header["x-up-devcap-numsoftkeys"] = "3"
          wlHttp.Header["x-up-devcap-screenchars"] = "15,4"
          AddCommonHeaders()  
					break
        case "Generic digital phone":
          wlHttp.UserAgent = "UP.Browser/3.1-UPG1 UP.Link/3.2"
					wlHttp.Header["x-up-devcap-numsoftkeys"] = "2"
					wlHttp.Header["x-up-devcap-screenpixels"] = "171,108"
					wlHttp.Header["x-up-devcap-msize"] = "8,18"
					AddCommonHeaders()
					break
        case "Mitsubishi MobileAccess":
          wlHttp.UserAgent = "UP.Browser/3.1-SP01 UP.Link/3.2"
					wlHttp.Header["x-up-devcap-numsoftkeys"] = "2"
					wlHttp.Header["x-up-devcap-screenchars"] = "12,3"
					AddCommonHeaders()
					break
        case "Samsung Duette":
          wlHttp.UserAgent = "UP.Browser/3.1-SH UP.Link/3.2"
					wlHttp.Header["x-up-devcap-numsoftkeys"] = "2"
					wlHttp.Header["x-up-devcap-screenchars"] = "16,3"
					AddCommonHeaders()
					break
        case "Motorola i1000plus":
          wlHttp.UserAgent = "UP.Browser/3.1-IM1K UP.Link/3.2"
					wlHttp.Header["x-up-devcap-numsoftkeys"] = "2"
					wlHttp.Header["x-up-devcap-screenchars"] = "16,4"
					AddCommonHeaders()
					break
        default: 
          SevereErrorMessage("UserAgent  not defined")
	    }

}

// This function target is to be replaced with each wlHttp.Get/Post
// command which add Wap capability
    
function WapGet(httpCommand, NamedTrans) {
   WapAddHeaders()
	if (httpCommand == undefined) 
		wlHttp.ActualLogGet ()
	else if (NamedTrans == undefined) 
		wlHttp.ActualWapGet (httpCommand)
	else
		wlHttp.ActualWapGet (httpCommand, NamedTrans)
}

function WapPost(httpCommand, NamedTrans) {
   WapAddHeaders()
	if (httpCommand == undefined) 
		wlHttp.ActualLogPost ()
	else if (NamedTrans == undefined) 
		wlHttp.ActualWapPost (httpCommand)
	else
		wlHttp.ActualWapPost (httpCommand, NamedTrans)
}

//This function should be called at starting plase in the agenda 
//from which we want the wapping to be given

function StartWapping () {
	if (libraryFirstInitClient("wlWap")) {
		wlHttp.ActualWapGet = wlHttp.Get
		wlHttp.ActualWapPost = wlHttp.Post
		wlHttp.Get = WapGet
		wlHttp.Post = WapPost
	}
}
