/* WebLOAD Open Source is an automated quality assurance testing tool for internet applications.
 * Copyright (C) 1996 Radview Software, Ltd.
 *
 * This program is free software; you can redistribute it and/or modify it 
 * only under the terms of Version 2 of the GNU General Public License as 
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful, but 
 * WITHOUT ANY WARRANTY; Without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License 
 * for more details.
 * 
 * You should have received a copy of the GNU General Public License along 
 * with this program; If not, you can download it from 
 * http://www.gnu.org/licenses/
 *
 */
  
#include <ace/OS.h>
#include "wlxmlcom.h"
#include "wlxmlfuncs.h"
#include <string.h>
#include <RVCString.h>
#include "rvjsapi.h"
#include "xmlreplyprops.h"
#include "jsxmlreplynames.h"
#include "jsxmlprivate.h"
#include "jsxmlwrappers.h"
#ifdef _DEBUG
#include <iostream.h>
#endif

JSBool
xmlcdata_getProperty(JSContext *cx, JSObject *obj, jsval id, jsval *vp, IXMLDOMNodePtr& pNodePtr)
{
	WlTraceMsg("Inside xmlcdata_getProperty");
	return xmltext_getProperty(cx, obj, id, vp, pNodePtr);
}

JSBool
xmlcdata_setProperty(JSContext *cx, JSObject *obj, jsval id, jsval *vp, IXMLDOMNodePtr& pNodePtr)
{
	WlTraceMsg("Inside xmlcdata_setProperty");
	return xmltext_setProperty(cx, obj, id, vp, pNodePtr);
}

JSBool
xmlcdata_splitText(JSContext *cx, JSObject *obj, uintN argc, jsval *argv, jsval *rval, IXMLDOMNodePtr& pNodePtr)
{
	WlTraceMsg("Inside xmlcdata_splitText");
	return xmltext_splitText(cx, obj, argc, argv, rval, pNodePtr);
}

