/* WebLOAD Open Source is an automated quality assurance testing tool for internet applications.
 * Copyright (C) 1996 Radview Software, Ltd.
 *
 * This program is free software; you can redistribute it and/or modify it 
 * only under the terms of Version 2 of the GNU General Public License as 
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful, but 
 * WITHOUT ANY WARRANTY; Without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License 
 * for more details.
 * 
 * You should have received a copy of the GNU General Public License along 
 * with this program; If not, you can download it from 
 * http://www.gnu.org/licenses/
 *
 */
  
/*
 * 1.0 code.
 */
//package LoadAppletTests.simple;

import java.applet.Applet;
import java.awt.*;
import java.awt.event.*;
import netscape.javascript.JSObject;
import java.net.*;
import x.y.*;

public class Simple1 extends Applet {

    StringBuffer buffer;

		public void finalize() {
      addItem("Finalizing simple... ");
		}

    public void init() {
			buffer = new StringBuffer();
      addItem("initializing... ");
			MyListener listener = new MyListener();
			listener.simple = this;
			addMouseListener(listener);
			/*
      try
			{
				JSObject jsobject = JSObject.getWindow(this);
				JSObject jsobject1 = (JSObject)jsobject.getMember("document");
				JSObject jsobject2 = (JSObject)jsobject1.getMember("location");
				String s = (String)jsobject2.getMember("host");
				System.out.println("Host is: " + s);
			} catch (Exception e) {
				e.printStackTrace();
			}
			*/
			try {
				String href = getParameter("ShowDocument");
				String target = getParameter("Target");
				if (href != null) {
					URL url = new URL(getDocumentBase(), href);
					System.out.println("Showing document: " + url.toString()+", Target:"+target);
					if (target != null) {
						getAppletContext().showDocument(url, target);
					} else {
						getAppletContext().showDocument(url);
					}
				}
			} catch (MalformedURLException e) {
				e.printStackTrace();
			}
    }

    public void start() {
        addItem("starting... ");
    }

    public void stop() {
        addItem("stopping... ");
    }

    public void destroy() {
        addItem("preparing for unloading...");
    }

//		public boolean mouseDown(Event event, int x, int y) {
//				addItem(classB() + "(" + x + "," + y + ") ... ");
				//addItem("Click! ...");
//				return true;
//		}

    public void addItem(String newWord) {
        System.out.println(newWord);
        buffer.append(newWord);
        //System.out.println("Buffer: " + buffer);
        repaint();
    }

    public String classB() {
        System.out.println("Inside classB function");
				ClassB b = new ClassB();
				System.out.println(b.name());
				return b.name();
		}

    public void paint(Graphics g) {
			//Draw a Rectangle around the applet's display area.
      //    g.drawRect(0, 0, size().width - 1, size().height - 1);

			//Draw the current string inside the rectangle.
      g.drawString(buffer.toString(), 5, 15);
    }

		private class MyListener extends MouseAdapter
		{
			public Simple1 simple = null;

			public void mouseClicked(MouseEvent event)
			{
				simple.addItem(simple.classB() + "(" + event.getX() + "," + event.getY() + ") ... ");
			}
		}
}

