/* WebLOAD Open Source is an automated quality assurance testing tool for internet applications.
 * Copyright (C) 1996 Radview Software, Ltd.
 *
 * This program is free software; you can redistribute it and/or modify it 
 * only under the terms of Version 2 of the GNU General Public License as 
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful, but 
 * WITHOUT ANY WARRANTY; Without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License 
 * for more details.
 * 
 * You should have received a copy of the GNU General Public License along 
 * with this program; If not, you can download it from 
 * http://www.gnu.org/licenses/
 *
 */
  
#include <iostream.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include <RVCString.h>

#include "wlerrorlib.h"
#include "loadjsshell.h"
#include "loadexceptions.h"
#include "loadengineglobals.h"
#include "loadthreadinstance.h"
#include "loadthreadsmanager.h"
#include "tracedll.h"


static char buf[1024];

static long getint(const char* text)
{
  cout << text;
  cin.getline(buf,sizeof(buf));
	return atol(buf);
}

static char* getstr(const char* text)
{
  cout << text;
  cin.getline(buf,sizeof(buf));
  return buf;
}

int WLLoadSingleTestMain(const char* script)
{
/*
  try {
    RVCString scriptName = script;

    CWLFileDictionary FileDict(0);
    CLoadThreadsManager agen("sm");
    CLoadThreadInstance ins(&agen, 0);
    ins.Init();
    //setCurrentThreadInstance(&ins);
    agen.setNumRunning(1);
    agen.setMyLoadGeneratorSlave(NULL);

		CLoadThreadsManagerScriptContainer tmsc;
		tmsc.InitParent(&agen);
    CLoadThreadsManagerScript tms(&tmsc,"sm",1);
    CLoadThreadInstanceScript tis(&tms,&ins);
    ins.SetCurrentScript(&tis);
    ins.SetSingleTestFlag();

    CWLJSScript jsScript(1);

    CWLJSDebug::InitDebugger(jsScript.GetRuntime()->GetRuntime(), jsScript.GetContext());

    if (!jsScript.LoadScript(scriptName,0,NULL)) {
      //throw WLErrorException(LoadExceptionFrmFile, 34, jsScript.GetError());
      cout << "Error " << jsScript.GetError() <<" while loading script" << endl;
      return 0;
    }
    CWLJSThread jsThread(jsScript, true);
    CWLJSDebug::SetDebuggerContext(jsThread.GetContext());
    setCurrentThreadInstanceScript(ins.m_ThreadInstanceScript, jsThread.GetContext());

	  int choice = 0;
	  while (1) {
		  switch (choice)
        {
        case 0:
				  cout << endl
						   << "1. Run script" << endl
						   //<< "2. Load new script" << endl
						   << "2. Evaluate string" << endl
						   << "99. Exit" << endl;
				  break;

			  case 1: 
			  {
          int n = getint("Please enter num rounds: ");
          for (int i=1;i<=n;i++) {
            CWLJSDebug::SetDebuggerContext(jsThread.GetContext());
            if (!jsThread.ExecScript(i)) {
              //throw WLErrorException(LoadExceptionFrmFile, 35, jsThread.GetError());
              if (strlen(jsThread.GetError())>0)
                cout << "Error " << jsThread.GetError() <<" while running script" << endl;
              //else
              //  cout << "Error " << (ins.m_ErrorMsg, agen.m_ErrorMsg) <<" while running script" << endl;
            }
          }
			  }
			  break;

			  case 2: 
			  {
          RVCString cmd = getstr("Eval: ");
          while (!cmd.isNull()) {
            const char* ret;
            if (!(ret=jsThread.Evaluate(cmd.data()))) {
              //throw WLErrorException(LoadExceptionFrmFile, 35, jsThread.GetError());
              cout << "Error " << jsThread.GetError() <<" while running script" << endl;
            } else {
              cout <<ret << endl;
            }
            cmd = getstr("Eval: ");
          }
			  }
			  break;

			  case 3: 
			  {
			  }
			  break;

			  case 99:
          CWLJSDebug::TerminateDebugger();
          return 1;

        default:
          cout << "Illegal option" << endl << endl;
          break;
        } // end switch

		  choice = getint("Please enter selection: [0]");
    } // end while
  } catch (WLErrorException e) {
    cout << "Exception: " << e.GetErrorMsg() << endl;
    WlTraceMsg("Exception: %s",e.GetErrorMsg());
  } catch (...) {
    #ifdef _DEBUG
    throw;
    #endif
  }
*/
  return 1;
}

