/* WebLOAD Open Source is an automated quality assurance testing tool for internet applications.
 * Copyright (C) 1996 Radview Software, Ltd.
 *
 * This program is free software; you can redistribute it and/or modify it 
 * only under the terms of Version 2 of the GNU General Public License as 
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful, but 
 * WITHOUT ANY WARRANTY; Without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License 
 * for more details.
 * 
 * You should have received a copy of the GNU General Public License along 
 * with this program; If not, you can download it from 
 * http://www.gnu.org/licenses/
 *
 */
  
#include "rvhtmldietattributeobject.h"

CRVHTMLDietAttributeObject::CRVHTMLDietAttributeObject()
{
}

CRVHTMLDietAttributeObject::CRVHTMLDietAttributeObject(RVCString& p_sName, RVCString& p_sValue, RVCString& p_sOriginalValue ,int p_nOffset)
: m_sName(p_sName),
  m_sValue(p_sValue),
  m_sOriginalValue(p_sOriginalValue),
  m_nOffset(p_nOffset)
{
}

CRVHTMLDietAttributeObject::~CRVHTMLDietAttributeObject()
{
}

const char* CRVHTMLDietAttributeObject::GetAttributeValue()
{
  return m_sValue.data();
}

void CRVHTMLDietAttributeObject::SetAttributeValue(RVCString& p_sAttributeValue)
{
  m_sValue = p_sAttributeValue;
}

const char* CRVHTMLDietAttributeObject::GetOriginalAttributeValue()
{
  return m_sOriginalValue.data();
}

void CRVHTMLDietAttributeObject::SetOriginalAttributeValue(RVCString& p_sOriginalAttributeValue)
{
  m_sOriginalValue = p_sOriginalAttributeValue;
}

int CRVHTMLDietAttributeObject::GetAttributeOffset()
{
  return m_nOffset;
}

void CRVHTMLDietAttributeObject::SetAttributeOffset(int p_nOffset)
{
  m_nOffset = p_nOffset;
}

void CRVHTMLDietAttributeObject::SetAttributeName(RVCString& p_sName)
{
  m_sName = p_sName;
}

const char* CRVHTMLDietAttributeObject::GetAttributeName()
{
  return m_sName.data();
}
