// @@ added by dudu
//  enter - exit java callbacks
#ifndef __WL_LOADENGINE_EXTRAS_H_
#define __WL_LOADENGINE_EXTRAS_H_

#ifndef DllExport
#if !defined(SOLARIS) && !defined(LINUX) && !defined(__TV_solaris__) && !defined(__TV_linux__)
#define DllExport __declspec ( dllexport )
	#elif defined( __TV_WINDOWS__ )
	#define DllExport __declspec ( dllexport )
#else
#define DllExport
#endif
#endif

#include "jsjava.h"

#if (defined _cplusplus) || (defined __cplusplus)
extern "C" {
#endif

typedef struct iRVJSJSection iRVJSJSection;

typedef enum tJavaCallType { sJavaCallMethod, sJavaCallCtor } tJavaCallType;

typedef iRVJSJSection* (*tfsLEEnterJava)( JSContext*, const char* rClassDescriptionName, const char* rMemberName, tJavaCallType );
DllExport void RegisterLEEnterJava(tfsLEEnterJava);
DllExport extern tfsLEEnterJava svsLEEnterJava;

typedef void (*tfsLEExitJava)( JSContext*, JSBool rOK, const char* rClassDescriptionName, const char* rMemberName, tJavaCallType, iRVJSJSection* );
DllExport void RegisterLEExitJava(tfsLEExitJava);
DllExport extern tfsLEExitJava svsLEExitJava;



#if (defined _cplusplus) || (defined __cplusplus)
}
#endif

#endif //__WL_LOADENGINE_EXTRAS_H_

