
#ifndef rvjsdebug_h___
#define rvjsdebug_h___

#include "jsdebug.h"

JS_BEGIN_EXTERN_C


extern JSD_PUBLIC_API(JSBool)
RVJSD_IsValueFunction(JSDContext* jsdc, JSDThreadState*, JSDValue* jsdval);

extern JSD_PUBLIC_API(JSBool)
RVJSD_IsValueNative(JSDContext* jsdc, JSDThreadState*, JSDValue* jsdval);

extern JSD_PUBLIC_API(JSString*)
RVJSD_GetValueString(JSDContext* jsdc, JSDThreadState* threadstate, JSDValue* jsdval);

extern JSD_PUBLIC_API(const char*)
RVJSD_GetValueFunctionName(JSDContext* jsdc, JSDThreadState*, JSDValue* jsdval);

JSD_PUBLIC_API(uintN)
RVJSD_GetCountOfProperties(JSDContext* jsdc, JSDThreadState* threadstate, JSDValue* jsdval);

JSD_PUBLIC_API(JSDProperty*)
RVJSD_IterateProperties(JSDContext* jsdc, JSDThreadState* threadstate, JSDValue* jsdval, JSDProperty **iterp);

JSD_PUBLIC_API(JSDProperty*)
RVJSD_GetValueProperty(JSDContext* jsdc, JSDThreadState* threadstate, JSDValue* jsdval, JSString* name);

JSD_PUBLIC_API(JSDValue*)
RVJSD_GetValueConstructor(JSDContext* jsdc, JSDThreadState* threadstate, JSDValue* jsdval);

extern JSD_PUBLIC_API( JSContext* )
RVJSD_GetJSContext( JSDThreadState* );


JS_END_EXTERN_C

#endif /* rvjsdebug_h___ */

