/* WebLOAD Open Source is an automated quality assurance testing tool for internet applications.
 * Copyright (C) 1996 Radview Software, Ltd.
 *
 * This program is free software; you can redistribute it and/or modify it 
 * only under the terms of Version 2 of the GNU General Public License as 
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful, but 
 * WITHOUT ANY WARRANTY; Without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License 
 * for more details.
 * 
 * You should have received a copy of the GNU General Public License along 
 * with this program; If not, you can download it from 
 * http://www.gnu.org/licenses/
 *
 */
  
/*
 * TestTalk.h  -- TestTalk Module Definitions.
 *
 *   who          when          what
 * Yahali     25-Oct-93     Creation.
 *
 */
#ifndef __WL_TESTTALKDEFS_H
#define __WL_TESTTALKDEFS_H

//
// TestTalk General defines.
#define NETSUCCESS 1
#define NETERROR   0

//#define MAX_MESSAGE_LENGTH 1454
//#define MAX_UDP_MESSAGE_LENGTH 16000

//
// path separators.
//#define pathSeperatorStr "\\"
//#define pathSeperatorChar '\\'

// Window Class & Caption
//#define TMLNETDATACLASS   "TmlNetClass:Data"
//#define TMLNETDATACAPTION "DataQ"
//#define TMLNETCAPTION     "TmlNet"
//#define NVSMainCLASS      "NVS:Main"
//#define NVSMainCAPTION    "TestView Net-Server"
//#define NVSNetCLASS        "NVS:Net"

//#define TVNET_WINDOW_CLASS "OwlWindow"
//#define TVNET_GLOBAL_WINDOW_TITLE "Tvnet global window"
//#define TVNET_TML_CLIENT_WINDOW "TVNET_TML_CLIENT_WINDOW"

//#define ExitNetCLASS      "Exit-Net"
//#define ExitNetCAPTION    "Exiting Net..."

//#define NVSMonitorName    "Monitor"

// ***** TestTalk Messages *****


#ifdef  __TV_WINDOWS__
#define NV_BASE_MESSAGE								WM_USER
#endif
#ifdef  __TV_UNIX__
#define NV_BASE_MESSAGE								1
#endif

#define TVNET_BASE_MESSAGE						1


#define NV_CLIENT_STARTED							(NV_BASE_MESSAGE + 5)
#define NV_CLIENT_TERMINATED          (NV_BASE_MESSAGE + 9)

#define NV_SENDMESSAGE          		  (TVNET_BASE_MESSAGE+1)
#define NV_SENDMESSAGE_NORESPONSE 		(TVNET_BASE_MESSAGE+2)
#define NV_SENDMESSAGE_NOWAIT     		(TVNET_BASE_MESSAGE+3)

// File Message Definitions Begin:
#define NV_FILECOPY                   (TVNET_BASE_MESSAGE+4)    
#define NV_FILE_TRANSFER              (TVNET_BASE_MESSAGE+5)    
#define NV_FILECOPY_EVENT     				(TVNET_BASE_MESSAGE+6)
#define NV_FILECOPY_CHUNK				      (TVNET_BASE_MESSAGE+7)
#define NV_FILECOPY_LAST_CHUNK			  (TVNET_BASE_MESSAGE+8)
#define NV_FILECOPY_CHUNK_ACK					(TVNET_BASE_MESSAGE+9)
#define NV_STOP_RECEIVER				      (TVNET_BASE_MESSAGE+10)
#define NV_STOP_SENDER								(TVNET_BASE_MESSAGE+11)
// File Message Definitions End.


#define NV_LOCALMESSAGE               (NV_BASE_MESSAGE + 10)
#define NV_LOCALMESSAGE_NORESPONSE    (NV_BASE_MESSAGE + 11)
#define NV_LOCALMESSAGE_NOWAIT        (NV_BASE_MESSAGE + 12)
#define NV_LOCAL_FILECOPY             (NV_BASE_MESSAGE + 13)
#define NV_MULTIMESSAGE               (NV_BASE_MESSAGE + 20)

#define NV_SENDMESSAGE_STATUS_SUCCESS (TVNET_BASE_MESSAGE + 101)
#define NV_SENDMESSAGE_STATUS_FAIL  	(TVNET_BASE_MESSAGE + 102)

#define NV_SENDMESSAGE_PING         	(TVNET_BASE_MESSAGE + 103)
//////#define NV_TML_NAME             (NV_BASE_MESSAGE + 105)
////#define NV_TML_MESSAGE          (NV_BASE_MESSAGE + 110)

////#define NV_CLIENT_CONNECTION    (NV_BASE_MESSAGE + 201)
#define NV_HOST_CONNECTION      (TVNET_BASE_MESSAGE + 202)
////#define NV_CLIENT_REQUEST       (NV_BASE_MESSAGE + 203)

#define NV_EXITNET       (NV_BASE_MESSAGE + 300)

#endif // __WL_TESTTALKDEFS_H

