/* WebLOAD Open Source is an automated quality assurance testing tool for internet applications.
 * Copyright (C) 1996 Radview Software, Ltd.
 *
 * This program is free software; you can redistribute it and/or modify it 
 * only under the terms of Version 2 of the GNU General Public License as 
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful, but 
 * WITHOUT ANY WARRANTY; Without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License 
 * for more details.
 * 
 * You should have received a copy of the GNU General Public License along 
 * with this program; If not, you can download it from 
 * http://www.gnu.org/licenses/
 *
 */
  
// Error.h -- Error mechanism for TMLNET 
//
//   who          when          what
//  Yahali      31-Jan-94      Created
//
//

#ifndef __TNERROR_H
#define __TNERROR_H

#include "wlerrorlib.h"

/*
#ifdef __TV_WINDOWS__
//#include "errcdef.h"
//#include "neterror.h"
#else
#include "wlerrorlib.h"
#endif
*/

#define errorPrint(p)

#define tvnetDebugOutput(p) NULL

//#define GetTmlNetError(x)                                       "Error"
//(                                                               \
//  ERRSetFileTable(getTmlNetErrorFileName(),TmlNetLastError+1),  \
//  ERRGetErrorMessage x                                          \
//)

//*************** Function Defs *********************//
//const char* getTmlNetErrorFileName();

//*************** extern Defs *********************//
//extern const char* __TmlNetErrorMessage;


//*************** Type-Defs *********************//
typedef enum {
  TNENetNotActive,
  TNEMsgUnpackFailure,
  TNEInstNotFound,
  TNENetViewWinNotFound,
  TNEStartupMsgFailed,
  TNEMsgExceedsMaxLength,
  TNESendMsgToNetView,
  TNESendMsgFailed,
  TNESendMultiMsgToNetView,
  TNEIlgAddrFormat,
  TNERegClassFailed,
  TNEQueueOpenFailed,
  TNEGetfileFailed,
  TNENetAlreadyUp,
  TmlNetLastError  // leave this in the end
} TmlNetErrorType ;

#endif  // __TNERROR_H

