/* WebLOAD Open Source is an automated quality assurance testing tool for internet applications.
 * Copyright (C) 1996 Radview Software, Ltd.
 *
 * This program is free software; you can redistribute it and/or modify it 
 * only under the terms of Version 2 of the GNU General Public License as 
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful, but 
 * WITHOUT ANY WARRANTY; Without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License 
 * for more details.
 * 
 * You should have received a copy of the GNU General Public License along 
 * with this program; If not, you can download it from 
 * http://www.gnu.org/licenses/
 *
 */
  
#include <ace/OS.h>
#include <windows.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
//#include <iostream.h>
#include <iostream>
using namespace std;
#include "tracedll.h"



static char buf[102400] = "";
static char buf2[102400] = "";

int getint(const char* text)
{
  cout << text;
  cin.getline(buf,sizeof(buf));
  return atoi(buf);
}

char* getstr(const char* text)
{
  cout << text;
  cin.getline(buf,sizeof(buf));
  return buf;
}

char* getstr2(const char* text)
{
  cout << text;
  cin.getline(buf2,sizeof(buf2));
  return buf2;
}


#include <ace/OS_NS_unistd.h>
int ACE_TMAIN (int argc, ACE_TCHAR *argv[])

{
  int cont=1;
  int choice = 0;


  CTraceMsg::Init ("TraceApp") ; 
  
  while (cont)
  {
      switch (choice)
        {  
          case 0:
              cout << endl
              << "0.  Menu"<<endl
              << "1.  Send a trace message " << endl
			  << "2.  Send an Error Message " << endl
			  << "3.  Send an Error Message with Assert " << endl
        << "4.  Start Session Trace " << endl
        << "5.  Stop Session Trace " << endl
              << "99. Exit " << endl;
              break;

          case 1:
              WlTraceMsg(getstr("Enter a string : "));
              WlTraceMsg("Test %s", "\nAviad\nIsraeli\n");
              break;
		  case 2:
			  WlErrorMsg(getstr("Enter a string : "));
			  break;
		  case 3:
			  WlErrorMsgAssert(0,getstr("Enter a string : "));
			  break;
      case 4:
        //CTraceMsg::SetSessionTrace(getstr("Enter trace file name with path : "),getstr2("Enter enter additional trace modules : "));
        CTraceMsg::SetSessionTrace(getstr("Enter trace file name with path : "));
        break;
      case 5:
        CTraceMsg::CloseSessionTrace();
        break;
          case 99:
              return 1;
              //cont = FALSE;
              //break;
          }
      choice = getint("Please enter selection: [0]");
  } // end while
  return 1;
}

