/* WebLOAD Open Source is an automated quality assurance testing tool for internet applications.
 * Copyright (C) 1996 Radview Software, Ltd.
 *
 * This program is free software; you can redistribute it and/or modify it 
 * only under the terms of Version 2 of the GNU General Public License as 
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful, but 
 * WITHOUT ANY WARRANTY; Without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License 
 * for more details.
 * 
 * You should have received a copy of the GNU General Public License along 
 * with this program; If not, you can download it from 
 * http://www.gnu.org/licenses/
 *
 */
  
/* Copyright (c) 1993-1995, Radview Software LTD. All Rights Reserved. */
/*****************************************************************
 *
 * File: tvver.h
 * Purpose: header file for the tv-version file.
 *
 * Who      When        What
 * Yahali   29-Oct-95   Creation
 *
 ****************************************************************/
#ifndef __VERSION_H
#define __VERSION_H

//#define FINAL_EXAM_PRODUCT
//#define WEBEXAM_PRODUCT
//#define TESTVIEW_PRODUCT
//
// Testview version

//
// Testview Names
#ifdef  TESTVIEW_PRODUCT
#define PRODUCT_NAME         "TestView"
#define PRODUCT_FILE_NAME    "testview"
#define PRODUCT_ICON         "TESTVIEW"
#define PRODUCT_BMP          "TVCOVER"
#define PRODUCT_ICON_NUMBER  9020
#define BMP_X_SIZE           400
#define BMP_Y_SIZE           310
#endif

#ifdef  WEBEXAM_PRODUCT
#define PRODUCT_NAME         "Web Exam"
#define PRODUCT_FILE_NAME    "webexam"
#define PRODUCT_ICON         "WEBEXAM"
#define PRODUCT_BMP          "WEBCOVER"
#define PRODUCT_ICON_NUMBER  9021
#define BMP_X_SIZE           382
#define BMP_Y_SIZE           320
#endif

#ifdef  FINAL_EXAM_PRODUCT
#define PRODUCT_NAME         "C/S-Test"
#define PRODUCT_FILE_NAME    "cstest"
#define PRODUCT_ICON         "CSTEST"
#define PRODUCT_BMP          "CSCOVER"
#define PRODUCT_ICON_NUMBER  9022
#define BMP_X_SIZE           494
#define BMP_Y_SIZE           238
#endif

#ifdef  INTERNET_TEST_PRODUCT  //reserved for Platinum
#define PRODUCT_NAME        "Internet Test"
#define PRODUCT_FILE_NAME   "webexam"
#define PRODUCT_ICON         "WEBEXAM"
#define PRODUCT_BMP          "WEBCOVER"
#define PRODUCT_ICON_NUMBER  9023
#define BMP_X_SIZE           382
#define BMP_Y_SIZE           320
#endif

#define PRODUCT_MESSAGE       PRODUCT_NAME " Message"
#define PRODUCT_ERROR_MESSAGE PRODUCT_NAME " Error Message"
#define PRODUCT_QUERY         PRODUCT_NAME " Query"
#define EDITOR_TITLE          PRODUCT_NAME

#define PRODUCT_INI_FILE  PRODUCT_FILE_NAME ".ini"
#define PRODUCT_INI_BCKUP PRODUCT_FILE_NAME ".bii"
#define PRODUCT_HELP_FILE PRODUCT_FILE_NAME ".hlp"
#define PRODUCT_FRM_FILE  PRODUCT_FILE_NAME ".frm"
//
// Copyright definitions.
#define COPYRIGHT_HEADER "Copyright (c) 1993-1996, Radview Software LTD. All Right Reserved."
#define COPYRIGHT_ABOUT  "Copyright (c) 1993-1996, Radview Software LTD. All Right Reserved."
#define COPYRIGHT_ABOUT_YEAR "Copyright (c) 1993-1996"

#define PRODUCT_VERSION	"2.0"
#define PRODUCT_VERSION_NAME	"Version 2.0" 
#define COPYRIGHT_ABOUT_RADVIEW	"RadView Software LTD"
#define COPYRIGHT_YEAR_PLATINUM  "Portions Copyrights 1996"
#define COPYRIGHT_ABOUT_PLATINUM "Portions Copyrights 1996, PLATINUM technology inc."
#define COPYRIGHT_ABOUT_RIGHTS	"All Rights Reserved"

static char* CopyrightAbout  = COPYRIGHT_ABOUT;

#endif //__VERSION_H

