/* WebLOAD Open Source is an automated quality assurance testing tool for internet applications.
 * Copyright (C) 1996 Radview Software, Ltd.
 *
 * This program is free software; you can redistribute it and/or modify it 
 * only under the terms of Version 2 of the GNU General Public License as 
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful, but 
 * WITHOUT ANY WARRANTY; Without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License 
 * for more details.
 * 
 * You should have received a copy of the GNU General Public License along 
 * with this program; If not, you can download it from 
 * http://www.gnu.org/licenses/
 *
 */
  
// PointerToJava.h: interface for the CPointerToJava class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_POINTERTOJAVA_H__F5CBA103_90A6_434D_A7AB_F63C82F219ED__INCLUDED_)
#define AFX_POINTERTOJAVA_H__F5CBA103_90A6_434D_A7AB_F63C82F219ED__INCLUDED_

#include <jni.h>
#include "wljavautils.h"

class WLJAVAUTILS_API CPointerToJava  
{
public:
	CPointerToJava(void* pointer);
	CPointerToJava(JNIEnv	*env, jstring jstrPointer);
	virtual ~CPointerToJava();

  const char* getString() { return m_StrVal; }
  void* getPointer() { return m_Pointer; }

private:
  char    m_StrVal[20];
  void*   m_Pointer;
};

#endif // !defined(AFX_POINTERTOJAVA_H__F5CBA103_90A6_434D_A7AB_F63C82F219ED__INCLUDED_)
