/* WebLOAD Open Source is an automated quality assurance testing tool for internet applications.
 * Copyright (C) 1996 Radview Software, Ltd.
 *
 * This program is free software; you can redistribute it and/or modify it 
 * only under the terms of Version 2 of the GNU General Public License as 
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful, but 
 * WITHOUT ANY WARRANTY; Without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License 
 * for more details.
 * 
 * You should have received a copy of the GNU General Public License along 
 * with this program; If not, you can download it from 
 * http://www.gnu.org/licenses/
 *
 */
  
#ifndef __GENERALSSLFUNCTIONS_H__
#define __GENERALSSLFUNCTIONS_H__

#ifdef __SSL__

#ifdef __TV_WINDOWS__
#define RSA_PLATFORM				210
///#define RSA_I386_486				210
/*
#define RSA_PLATFORM				???
#define RSA_INTEL_LINUX21_32_BIT    30
#define RSA_INTEL_LINUX30_32_BIT    32
#define RSA_INTEL_LINUX_GLIBC5      33
#define RSA_INTEL_LINUX_GLIBC6      34
#define RSA_INTEL_SCO50_32_BIT      40
#define RSA_SPARC_SUN_OS_412        100
#define RSA_SPARC_SUN_SOLARIS       101
#define RSA_SPARC_SUN_SOLARIS25     102
#define RSA_SPARC_SUN_SOLARIS26     103
#ifdef __TV_linux__
#ifdef __TV_UNIX__
*/
#endif
#ifdef BSAFE
#include "aglobal.h"
#include "bsafe.h"
#endif // BSAFE

#include "ssl.h"
#include "ezmod.h"

SSLErr WLSSLRandomFunc(SSLBuffer data, void *randomRef);
SSLErr WLSeedRandomAndSet(SSLContext *ctx, void** randomRef);
void WLSSLDestroyRandom(void** randomRef);

#endif //  __SSL__
#endif __GENERALSSLFUNCTIONS_H__

