// Spider Session id constants
function DefineBroadVisionConst() {
	NULL_BV_SessionID   = " "
	NULL_BV_EngineID    = " "
	NULL_HREF           = " "
	NULL_HREF_ONLY      = " "
	K_BV_SessionID_NAME = "BV_SessionID"
	K_BV_EngineID_NAME = "BV_EngineID"
}
function BVLinkObj(link) {

	function Set (ByLink) {
		this.HrefFull = ByLink
		str = new String(ByLink)
		index = str.indexOf("?")
		if (index == -1)
			this.HrefOnly = ByLink
		else
			this.HrefOnly = str.substr(0,index)
	}
	function Get_HrefFull() {
		return this.HrefFull
	}
	function Get_HrefOnly() {
		return this.HrefOnly
	}
	function Set_BV_SessionID (ID) {
		this.BV_SessionID = ID
	}
	function Get_BV_SessionID () {
		return this.BV_SessionID
	}
	function Set_BV_EngineID(ID)
	{
		this.BV_EngineID = ID
	}
	function Get_BV_EngineID()
	{
		return this.BV_EngineID
	}
	function Clear () {
		this.HrefFull  = NULL_HREF
		this.HrefOnly  = NULL_HREF_ONLY
		this.BV_SessionID = NULL_BV_SessionID
		this.BV_EngineID = NULL_BV_EngineID
	}
	function IsEmpty () {
		return (this.HrefFull  == NULL_HREF)
	}
	function ContainSessionId () {
		return ((this.BV_SessionID != NULL_BV_SessionID) ||
			(this.BV_EngineID  != NULL_BV_EngineID))
	}

	// Init the BVLink object methods
	this.Set 		= Set
	this.Get_HrefFull	= Get_HrefFull
	this.Get_HrefOnly	= Get_HrefOnly
	this.Set_BV_SessionID 	= Set_BV_SessionID
	this.Get_BV_SessionID 	= Get_BV_SessionID
	this.Set_BV_EngineID 	= Set_BV_EngineID
	this.Get_BV_EngineID 	= Get_BV_EngineID
	this.Clear 		= Clear
	this.IsEmpty 		= IsEmpty
	this.ContainSessionId 	= ContainSessionId
	// Init object with default values 			
	// at start we assume that the link doesn't 	 
	// contain any session id in it				
	if (link != undefined)
		this.Set (link)
	else
		this.Clear()
}

// an object for holding both BV_SessionID and BV_EngineID
function SessionData(SessionID,EngineID)
{
  this.BV_SessionID = SessionID
  this.BV_EngineID = EngineID
}
