// This function target is to be replaced with each wlHttp.Get
// command which uses Spider Session id
function BVGet (httpCommand) {
	var Command = SetBVSessionId (httpCommand) 
	wlHttp.Parse = "Always"
	wlHttp.Get (Command)
	ScanForBVSessionId (document)
}

// This function target is to be replaced with each wlHttp.Post
// command which uses Spider Session id
function BVPost (httpCommand) {
	var Command = SetBVSessionId (httpCommand) 
	wlHttp.Parse = "Always"
	wlHttp.Post (Command)
	ScanForBVSessionId (document)
}

// Init the BroadVision automtic session id's mechanizem
function InitBVSessions () {

	BV_SessionIDArr = new Array()
	BV_EngineIDArr  = new Array()
	BVSessionUrlArr = new Array()

	wlHttp.BVGet  = BVGet
	wlHttp.BVPost = BVPost
}

// Add new session id for a specific url
function AddBVSessionId (BVLink) {
	var pos = 0
	var found = false
	var arrayLen = BVSessionUrlArr.length

	while ((pos < arrayLen) && (!found)) {
		if (BVSessionUrlArr[pos] == BVLink.Get_HrefOnly())
			found=true
		else
			pos++
	}
	BV_SessionIDArr[pos] = BVLink.Get_BV_SessionID()
	BV_EngineIDArr[pos] = BVLink.Get_BV_EngineID()
	BVSessionUrlArr[pos] = BVLink.Get_HrefOnly()
}

// Search if for a specific url exist session id in array
// and if found return it's value else return NULL session id
function FindBVSessionId (href) {

	var BVLink = new BVLinkObj(href)
	var Pos   = -1

	for (var i=0; (i < BVSessionUrlArr.length) && (Pos == -1); i++) {
		if (BVSessionUrlArr[i] == BVLink.Get_HrefOnly()) Pos = i
	}
	if (Pos != -1) 
		return new SessionData(BV_SessionIDArr [Pos], BV_EngineIDArr[Pos])
	else
		return new SessionData(NULL_BV_SessionID,NULL_BV_EngineID)
}

// Check if the specified href is mentioned in the 
// session id's pool and add the approprate
// session id to the http command
function SetBVSessionId (href) {
	
	var httpCommand = href
	var BVSessionId = FindBVSessionId (href)

	if (BVSessionId.BV_SessionID != NULL_BV_SessionID)
		wlHttp.FormData[K_BV_SessionID_NAME] = BVSessionId.BV_SessionID
	if (BVSessionId.BV_EngineID != NULL_BV_EngineID)
		wlHttp.FormData[K_BV_EngineID_NAME] = BVSessionId.BV_EngineID
	
	return httpCommand
}

// Scan the document in order to find url's which 
// point to with session id.
// The function scan's links and forms to find those
// session id's. Each url which is using a session id's
// will be added to the session id's pool
function ScanForBVSessionId (scanedDocument) {

	// Scan all document links for session id's
	for (var i=0; i<scanedDocument.links.length; i++) {

		BVLink = ScanLinkForBVSessionId (scanedDocument.links[i])
		if (BVLink.ContainSessionId())
			AddBVSessionId (BVLink)
	}

	// Scan all document forms elements for spider session id's
	for (var j=0; j< scanedDocument.forms.length; j++) {

		BVLink = ScanFormForBVSessionId (scanedDocument.forms[j])
		if (BVLink.ContainSessionId())
			AddBVSessionId (BVLink)
	}
	
	var BVLinkArr = ScanFramesForBVSessionId (scanedDocument.frames)
	for (var k=0; k<BVLinkArr.length; k++)
		AddBVSessionId (BVLinkArr[k])
	
}
