/* WebLOAD Open Source is an automated quality assurance testing tool for internet applications.
 * Copyright (C) 1996 Radview Software, Ltd.
 *
 * This program is free software; you can redistribute it and/or modify it 
 * only under the terms of Version 2 of the GNU General Public License as 
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful, but 
 * WITHOUT ANY WARRANTY; Without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License 
 * for more details.
 * 
 * You should have received a copy of the GNU General Public License along 
 * with this program; If not, you can download it from 
 * http://www.gnu.org/licenses/
 *
 */
  
#if !defined(AFX_IJSJAVAAPPLET_H__2AEEF92A_63E0_438A_9D1A_A42A9CD571E3__INCLUDED_)
#define AFX_IJSJAVAAPPLET_H__2AEEF92A_63E0_438A_9D1A_A42A9CD571E3__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000



/*****************************************************************
* Class IJSJavaApplet  
*****************************************************************/
// BEGIN:

struct JSObject;

class DllExport IJSJavaApplet  
{
public:
	virtual JSObject*        GetParentWindow() = 0;
  virtual CWLJSJavaApplet* GetJSJavaApplet() = 0;
  virtual const char*      GetCookie() = 0;
	virtual int              GetReadyState() = 0;
	virtual void             ShowDocument(const char* url, const char* target) = 0;  
};
// END.


#endif