/* WebLOAD Open Source is an automated quality assurance testing tool for internet applications.
 * Copyright (C) 1996 Radview Software, Ltd.
 *
 * This program is free software; you can redistribute it and/or modify it 
 * only under the terms of Version 2 of the GNU General Public License as 
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful, but 
 * WITHOUT ANY WARRANTY; Without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License 
 * for more details.
 * 
 * You should have received a copy of the GNU General Public License along 
 * with this program; If not, you can download it from 
 * http://www.gnu.org/licenses/
 *
 */
  
#include "windows.h"
#include "transcode.h"
#include "gt_uniservapis.h"
#include "gt_unicodectype.h"

char* Galtech_transcode(const gt_wchar_t* wstr)
{
	if (!wstr)
		return NULL;
	int len = w_strlen(wstr) * 2 + 1;
	char *str = new char[len];
	//WideCharToMultiByte(CP_ACP, 0, wstr, -1, str, len, NULL, NULL);
	UL_WideCharToMultiByte(CP_ACP, 0, wstr, -1, str, len, NULL, NULL);
	return str;
}

gt_wchar_t* Galtech_transcode(const char* str)
{
	if (!str)
		return NULL;
	int len = strlen(str)  + 1;
	gt_wchar_t *wstr = new gt_wchar_t[len];
	//MultiByteToWideChar(CP_ACP, 0, str, -1, wstr, len);
	UL_MultiByteToWideChar(CP_ACP, 0, str, -1, wstr, len);
	return wstr;
}
