/* WebLOAD Open Source is an automated quality assurance testing tool for internet applications.
 * Copyright (C) 1996 Radview Software, Ltd.
 *
 * This program is free software; you can redistribute it and/or modify it 
 * only under the terms of Version 2 of the GNU General Public License as 
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful, but 
 * WITHOUT ANY WARRANTY; Without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License 
 * for more details.
 * 
 * You should have received a copy of the GNU General Public License along 
 * with this program; If not, you can download it from 
 * http://www.gnu.org/licenses/
 *
 */
  
/* Copyright (c) 1993-1995, Radview Software LTD. All Rights Reserved. */
/*
// send2tml.h -- send an array to tml.
//
// 	who					when					what
//	Yahali		 23-Sep-95			Created
//
//
// Purpose: Dll to enable sending a message to the local TML. this tml should
//					be running in TestTalk mode, and waiting to receive a message
//          with the keys&values send, mostly by using WHEN block(s) that
//					handle the array's keys.
//
*/

#ifndef __TV_SEND2TML__
#define __TV_SEND2TML__

#include <windows.h>
#include "platform.h"
#include <stdarg.h>

#if (defined _cplusplus) || (defined __cplusplus)
extern "C" {
#endif

DllExport char* WINAPI DumpTmlVArray(const char* from,va_list arglist);
DllExport char* WINAPI DumpTmlArray(const char* from,...);
DllExport void WINAPI FreeTmlDumpArray(const char* msg);

#if (defined _cplusplus) || (defined __cplusplus)
}
#endif /* __cplusplus */

#endif /* __TV_SEND2TML__ */

