/* WebLOAD Open Source is an automated quality assurance testing tool for internet applications.
 * Copyright (C) 1996 Radview Software, Ltd.
 *
 * This program is free software; you can redistribute it and/or modify it 
 * only under the terms of Version 2 of the GNU General Public License as 
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful, but 
 * WITHOUT ANY WARRANTY; Without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License 
 * for more details.
 * 
 * You should have received a copy of the GNU General Public License along 
 * with this program; If not, you can download it from 
 * http://www.gnu.org/licenses/
 *
 */
  
// UniReader.h: Definition of the CUniReader class
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_UNIREADER_H__5A2E98F2_8180_4AD7_B421_3A1A8E1CA7AB__INCLUDED_)
#define AFX_UNIREADER_H__5A2E98F2_8180_4AD7_B421_3A1A8E1CA7AB__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "resource.h"       // main symbols

/////////////////////////////////////////////////////////////////////////////
// CUniReader

class CUniReader : 
	public IDispatchImpl<IUniReader, &IID_IUniReader, &LIBID_UNIFILELib>, 
	public ISupportErrorInfo,
	public CComObjectRoot,
	public CComCoClass<CUniReader,&CLSID_UniReader>
{
public:
	CUniReader() {}
BEGIN_COM_MAP(CUniReader)
	COM_INTERFACE_ENTRY(IDispatch)
	COM_INTERFACE_ENTRY(IUniReader)
	COM_INTERFACE_ENTRY(ISupportErrorInfo)
END_COM_MAP()
//DECLARE_NOT_AGGREGATABLE(CUniReader) 
// Remove the comment from the line above if you don't want your object to 
// support aggregation. 

DECLARE_REGISTRY_RESOURCEID(IDR_UniReader)
// ISupportsErrorInfo
	STDMETHOD(InterfaceSupportsErrorInfo)(REFIID riid);

// IUniReader
public:
	STDMETHOD(GetFileData)(BSTR fileName, BSTR *fileData);
};

#endif // !defined(AFX_UNIREADER_H__5A2E98F2_8180_4AD7_B421_3A1A8E1CA7AB__INCLUDED_)
