/* WebLOAD Open Source is an automated quality assurance testing tool for internet applications.
 * Copyright (C) 1996 Radview Software, Ltd.
 *
 * This program is free software; you can redistribute it and/or modify it 
 * only under the terms of Version 2 of the GNU General Public License as 
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful, but 
 * WITHOUT ANY WARRANTY; Without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License 
 * for more details.
 * 
 * You should have received a copy of the GNU General Public License along 
 * with this program; If not, you can download it from 
 * http://www.gnu.org/licenses/
 *
 */
  
// locationpos.h: interface for the LocationPos class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_LP_H__0546F20D_21C9_446A_8265_DED389A870DC__INCLUDED_)
#define AFX_LP_H__0546F20D_21C9_446A_8265_DED389A870DC__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


#define LocationPosColl         RVOrdered
#define LocationPosCollIterator RVOrderedIterator


#include <ordered.h>
#include <platform.h>  //define __TV_WINDOWS__ if needed

class CWLDomRepository;

class DllExport LocationPos : public RVCollectable
{
public :
  explicit LocationPos(){};
  explicit LocationPos(long p_lOffset, long p_lLength):  lOffset(p_lOffset), lLength(p_lLength){};

  long lOffset;
  long lLength;
  void dump  (CWLDomRepository& rep);
  void undump(CWLDomRepository& rep);
}; // end of class LocationPos


#endif // !defined(AFX_LP_H__0546F20D_21C9_446A_8265_DED389A870DC__INCLUDED_)

