/* WebLOAD Open Source is an automated quality assurance testing tool for internet applications.
 * Copyright (C) 1996 Radview Software, Ltd.
 *
 * This program is free software; you can redistribute it and/or modify it 
 * only under the terms of Version 2 of the GNU General Public License as 
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful, but 
 * WITHOUT ANY WARRANTY; Without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License 
 * for more details.
 * 
 * You should have received a copy of the GNU General Public License along 
 * with this program; If not, you can download it from 
 * http://www.gnu.org/licenses/
 *
 */
  
// WLGZip.h: interface for the CWLUnZip class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_WLUNZIP_H__925CA9AA_FD12_426A_A23C_7388299634A0__INCLUDED_)
#define AFX_WLUNZIP_H__925CA9AA_FD12_426A_A23C_7388299634A0__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include <RVCString.h>
#include "platform.h"
#include "zlib.h"

enum ZipTypeCode{ 
    ZipCode_NO,
    ZipCode_GZIP,
    ZipCode_DEFLATE
};

class DllExport CWLGZip  
{
public:
	CWLGZip();
	virtual ~CWLGZip();
public:

  int UNGzip (const RVCString &sInputBuff, RVCString &sOutBuff);
  int Inflate(const RVCString&, RVCString&);
};

#endif // !defined(AFX_WLUNZIP_H__925CA9AA_FD12_426A_A23C_7388299634A0__INCLUDED_)
